Interlaken
API referenceComputeMicroVMs

Attach a disk to a microVM

POST
/api/v1/microvms/{id}/disks

Requires the vms:attach_disk permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/microvms/string/disks" \  -H "Content-Type: application/json" \  -d '{    "disk_id": "9fb32f13-bddc-42b3-9a07-4aed1801aae6"  }'
{  "created_at": "2019-08-24T14:15:22Z",  "disks": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "serial": "string",      "size_gib": 0,      "storage_type": "string"    }  ],  "env_vars": {    "property1": "string",    "property2": "string"  },  "host_id": "eb4e20fc-2b4a-4d0c-811f-48abcf12b89b",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "instance_role": "string",  "instance_type": "string",  "memory_mib": 0,  "name": "string",  "nics": [    {      "gateway_ip": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "ipv4_address": "string",      "ipv6_address": "string",      "mac_address": "string",      "name": "string",      "prefix_len": 0,      "public_ip": "string",      "subnet_id": "69f11071-4ccc-4bb5-932b-00eac1b68892"    }  ],  "power_state": "string",  "processor_units": 0,  "status": "string",  "status_reason": "string",  "tags": {    "property1": "string",    "property2": "string"  },  "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",  "updated_at": "2019-08-24T14:15:22Z",  "vpc_id": "26872b87-3ca9-4a41-b328-948d9c25c405"}